Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- ConsoleReporter
- FilteringReporter
- ForwardingReporter
- MakeFilteringForwardingReporter
- NoReporter
- PrintReporter
- Reporter
- StoreReporter

t

scala.tools.nsc.reporters

# PrintReporter

###

#### trait PrintReporter extends reflect.internal.Reporter

Facility for outputting messages, with optional user intervention.

Source
  PrintReporter.scala

Linear Supertypes
reflect.internal.Reporter, AnyRef, Any
Known Subclasses
ScalaDocReporter, ConsoleReporter
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PrintReporter
2. Reporter
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final type Severity = reflect.internal.Reporter.Severity
   Definition Classes
     Reporter

### Abstract Value Members

1.  abstract def echoWriter: PrintWriter
2.  abstract def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
   Attributes
     protected
   Definition Classes
     Reporter
3.  abstract def reader: BufferedReader
4.  abstract def settings: Settings
5.  abstract def writer: PrintWriter

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PrintReporter toany2stringadd[PrintReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PrintReporter, B)
   Implicit
     This member is added by an implicit conversion from PrintReporter toArrowAssoc[PrintReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def ERROR: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
7.  final def INFO: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
8.  final def WARNING: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def close(): Unit
12.  def display(pos: Position, msg: String, severity: Severity): Unit

    Format a message and emit it.

    Format a message and emit it.

    Attributes
      protected
13.  def displayPrompt(): Unit
14.  final def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
15.  final def echo(msg: String): Unit
    Definition Classes
      Reporter
16.  def ensuring(cond: (PrintReporter) => Boolean, msg: => Any): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter toEnsuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (PrintReporter) => Boolean): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter toEnsuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: => Any): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter toEnsuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter toEnsuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
22.  final def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
23.  def errorCount: Int
    Definition Classes
      Reporter
24.  def filter(pos: Position, msg: String, severity: Severity): Int
    Definition Classes
      Reporter
25.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
26.  def finish(): Unit
    Definition Classes
      Reporter
27.  def flush(): Unit
    Definition Classes
      PrintReporter → Reporter
28.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PrintReporter toStringFormat[PrintReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
29.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  def hasErrors: Boolean
    Definition Classes
      Reporter
31.  def hasWarnings: Boolean
    Definition Classes
      Reporter
32.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  def increment(severity: Severity): Unit
    Definition Classes
      Reporter
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  def postProcess(msg: String): String

    Postprocess a message string for reporting.

    Postprocess a message string for reporting.

    The default implementation uses `Reporter.explanation` to include the explanatory addendum.

    Attributes
      protected
39.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
40.  def reset(): Unit
    Definition Classes
      Reporter
41.  val shortname: Boolean

    Whether a short file name should be displayed before errors

42.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
47.  final def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
48.  def warningCount: Int
    Definition Classes
      Reporter

### Deprecated Value Members

1.  def →[B](y: B): (PrintReporter, B)
   Implicit
     This member is added by an implicit conversion from PrintReporter toArrowAssoc[PrintReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPrintReporter to any2stringadd[PrintReporter]

### Inherited by implicit conversion StringFormat fromPrintReporter to StringFormat[PrintReporter]

### Inherited by implicit conversion Ensuring fromPrintReporter to Ensuring[PrintReporter]

### Inherited by implicit conversion ArrowAssoc fromPrintReporter to ArrowAssoc[PrintReporter]

### Ungrouped